prettyprinter-compat-ansi-wl-pprint: Drop-in compatibility package to migrate from »ansi-wl-pprint« to »prettyprinter«.

[ bsd2, library, text, user-interfaces ] [ Propose Tags ]

See README.md


[Skip to Readme]

Modules

[Index] [Quick Jump]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Candidates

  • No Candidates
Versions [RSS] 0.1, 1, 1.0.1, 1.0.2 (info)
Dependencies base (>=4.5 && <5), prettyprinter (>=1.7.0), prettyprinter-ansi-terminal (>=1.1), semigroups (>=0.1), text (>=1.2) [details]
License BSD-2-Clause
Author David Luposchainsky
Maintainer David Luposchainsky <dluposchainsky at google>
Category User Interfaces, Text
Home page http://github.com/quchen/prettyprinter
Bug tracker http://github.com/quchen/prettyprinter/issues
Source repo head: git clone git://github.com/quchen/prettyprinter.git
Uploaded by sjakobi at 2021-09-11T09:07:05Z
Distributions LTSHaskell:1.0.2, NixOS:1.0.2, Stackage:1.0.2
Downloads 2448 total (7 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Docs available [build log]
Last success reported on 2021-09-11 [all 1 reports]

Readme for prettyprinter-compat-ansi-wl-pprint-1.0.2

[back to package description]

ansi-wl-pprint compatibility package

This package defines a compatibility layer between the old ansi-wl-pprint package, and the new prettyprinter/prettyprinter-ansi-terminal ones.

This allows easily transitioning dependent packages from the old to the new package, by simply replacing ansi-wl-pprint with prettyprinter-ansi-terminal in the .cabal file. For adapting third party plugins that output ansi-wl-pprint data, use the proper converter from the prettyprinter-convert-ansi-wl-pprint module.

Note that this package is only for transitional purposes, and therefore deprecated and wholly undocumented. For new development, use the current version of prettyprinter, and the ANSI terminal backend provided in prettyprinter-ansi-terminal.